ranged_hash_fn.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, Store_Hash >
class | __gnu_pbds::detail::ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, false >
class | __gnu_pbds::detail::ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, true >
class | __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >
class | __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, true >

## Namespaces

| __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CLASS_T_DEC

## Detailed Description

Contains a unified ranged hash functor, allowing the hash tables to deal with a single class for ranged hashing.

Definition in file ranged_hash_fn.hpp.